MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004626ATutorThemepublic2010-11-26 15:252010-12-20 10:18
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0.1 
Target VersionFixed in Version2.0.2 
Summary0004626: Correct wrong theme name "fuild"
DescriptionThe insertion of theme "fuild", which essentially should be "fluid" is introduced in 1.6.1 @ atutor_schema.sql

This mistake affects all following ATutor versions. When "fuild" theme is set, all ATutor pages turn into blank.

The fix includes, but not restricted to:
1. vitals.inc.php, add error handling when the given theme folder does not exist;
2. update tables "themes", "config" -> name "pref_defaults", "members"."preferences", to replace "fuild" to "fluid".
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004786)
cindy (administrator)
2010-12-10 15:30

SVN revision: 10506

Solution:
1. modified vitals.inc.php to handle the case that the theme folder does not exist;
2. Add into upgrade step to replace "fuild" to "fluid" in db tables (themes, members.preferences, config.name == "pref_defaults")

Affected:
include/vitals.inc.php
install/include/ustep3.php

- Issue History
Date Modified Username Field Change
2010-11-26 15:25 cindy New Issue
2010-11-26 15:25 cindy Affects version => SVN
2010-11-26 15:25 cindy Summary Correct typo on theme name "fuild" => Correct wrong theme name "fuild"
2010-11-30 08:50 greg Status new => assigned
2010-11-30 08:50 greg Assigned To => cindy
2010-12-10 15:30 cindy Status assigned => resolved
2010-12-10 15:30 cindy Fixed in Version => 2.0.2
2010-12-10 15:30 cindy Resolution open => fixed
2010-12-10 15:30 cindy Note Added: 0004786
2010-12-20 10:18 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker